Last Comment Bug 845 - CSS Parser ignoring first declaration in STYLE element surrounded by comments
: CSS Parser ignoring first declaration in STYLE element surrounded by comments
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: HTML: Parser (show other bugs)
: Trunk
: x86 Windows 95
: P2 normal (vote)
: ---
Assigned To: Peter Linss
: glynn
:
Mentors:
http://dbaron.org/tests/nglayout/inde...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1998-09-19 17:26 PDT by David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
Modified: 2003-09-16 11:45 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 1998-09-19 17:26:34 PDT
When CSS in a STYLE element is enclosed in SGML comments (as described at the
end of section 1.1 in http://www.w3.org/TR/REC-CSS1#containment-in-html ), the
first declaration is ignored.  See http://www.w3.org/TR/REC-CSS1#containment-in-
html , where the P elements (about half of the page) should be red.

(I didn't test other pages to see if this happens all the time.)

(I also didn't know whether to file this under Parser or Style System.)‰
Comment 1 glynn 1999-02-05 15:14:59 PST
Links below are too old/not working, can you please provide a test case or just
verify this please?  Thanks
Comment 2 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 1999-02-05 15:23:59 PST
Verified fixed (and URL updated).

Note You need to log in before you can comment on or make changes to this bug.